[arch-commits] Commit in gegl/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Christian Hesse eworm at gemini.archlinux.org
Mon Feb 28 20:14:42 UTC 2022


    Date: Monday, February 28, 2022 @ 20:14:41
  Author: eworm
Revision: 438253

archrelease: copy trunk to testing-x86_64

Added:
  gegl/repos/testing-x86_64/
  gegl/repos/testing-x86_64/PKGBUILD
    (from rev 438252, gegl/trunk/PKGBUILD)

----------+
 PKGBUILD |   41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

Copied: gegl/repos/testing-x86_64/PKGBUILD (from rev 438252, gegl/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2022-02-28 20:14:41 UTC (rev 438253)
@@ -0,0 +1,41 @@
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+_tag='f293be3fa442fd89486a710e2e0700a6c2758d90'
+pkgver=0.4.36
+pkgrel=1
+pkgdesc='Graph based image processing framework'
+arch=('x86_64')
+url='https://www.gegl.org/'
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2' 'libraw' 'openexr' 'librsvg' 'libtiff' 'luajit' 'jasper' 'lensfun' 'suitesparse' 'poppler-glib')
+makedepends=('intltool' 'ruby' 'mesa' 'glu' 'ffmpeg4.4' 'exiv2' 'vala' 'gobject-introspection' 'git' 'meson' 'python-gobject')
+optdepends=('ffmpeg4.4: ffmpeg plugin' 'graphviz: for gegl-introspect')
+source=("git+https://gitlab.gnome.org/GNOME/gegl.git#tag=$_tag")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd "${pkgname}"
+  git describe --tags | sed 's/^GEGL_//;s/_$//;s/_/./g;s/-/+/g'
+}
+
+build() {
+  mkdir -p build
+  cd build
+  export PKG_CONFIG_PATH='/usr/lib/ffmpeg4.4/pkgconfig'
+  arch-meson ../"${pkgname}" \
+    -Dworkshop=true \
+    -Dmrg=disabled \
+    -Dmaxflow=disabled
+  ninja
+}
+
+check() {
+  cd build
+  ninja test || :
+}
+
+package() {
+  cd build
+  DESTDIR="${pkgdir}" ninja install
+}



More information about the arch-commits mailing list